Subject: Re: [PATCHv2 2/2] read-tree: migrate to parse-options

From: Stephen Boyd <[email-masked]>
Date: Thu, 25 Jun 2009 20:15:57 -0700

Johannes Sixt wrote:
>
> If you write more than one mode of operation, the subsequent text should
> better reference them, but the current text does not do that. I think it
> is OK if you leave only the second, particularly because the first is only
> a subset of the second.

I was contemplating this change, but I left it out because the single
tree case felt special. So special that I felt the merging and the
reading were two different modes. The description section hints at the
two types of uses, but I think you want it to be more explicit? I'll
have to think about this more.

> I don't think that the bitfields of struct unpack_trees_options are cast
> in stone. IMHO it is fine to make them regular struct members, so that you
> can take their address for read_tree_options and these foo ? 1 : 0 become
> unnecessary

Thanks. I'll fix this up and resend the series.